# $Revision: 1.26 $, $Date: 2003/02/24 15:40:44 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Lite
Summary:	CGI_Lite perl module
Summary(pl):	Modu perla CGI_Lite
Name:		perl-CGI-Lite
Version:	2.001
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}-emergencyrelease.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI_Lite perl module to process and decode WWW forms and cookies.

%description -l pl
Modu perla CGI_Lite do przetwarzania i dekodowania formularzy WWW i
cookies.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}-emergencyrelease

%build
perl Makefile.PL
%{__make}
find examples -type f | xargs -r perl -pi -e 's|/local/bin/perl\d*|/bin/perl|g'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY README TODO
%{perl_sitelib}/CGI/Lite.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CGI-Lite.spec,v $
Revision 1.26  2003/02/24 15:40:44  qboosh
- security update to 2.001-emergencyrelease
- STBR to ra/updates/security

Revision 1.25  2003/02/18 15:27:00  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.23  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 02:44:31  kloczek
- cosmetics.

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:09:58  depesz
automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:39:12  depesz
adapterized

Revision 1.18  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.17  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.15  2001/04/17 12:05:51  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/20 13:42:37  mis
- eliminated "paths" patch (used perl -pi -e ... instead) to reduce
  automatic upgrade troubles. I think that shoud be done for all perl
  modules (lot of them has similar patches), any objections?

Revision 1.12  2001/02/19 13:15:21  mis
- updated to 2.0

Revision 1.11  2000/12/28 01:51:54  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.10  2000/08/27 18:19:27  kloczek
- updated to 1.9,
- new Source url.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.3  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.2  1999/10/02 21:26:47  pius
- fixed making manpages (perl-CGI-Lite-make.patch)

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
